/*
 * $Id: Test10Result.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/23
 */
package feat2.testapp.test10;

import feat2.CommandContext;
import feat2.StringUtil;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;

public class Test10Result implements View {

    private String param1;
    private String[] param2;


    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        template.findElement("param1").addText(param1);
        template.findElement("param2").addText(StringUtil.join(param2, ","));

        return template;
    }


    public void setParam1(String param1) {
        this.param1 = param1;
    }


    public void setParam2(String[] param2) {
        this.param2 = param2;
    }



}
